import { defineMessages } from 'react-intl';

export default {
  titleTypes: {
    values: [
      'assignedbyartist',
      'creatorassigned',
      'collective',
      'collection',
      'constructed',
      'descriptive',
      'former',
      'inscribed',
      'institutional',
      'local',
      'manuscriptdesignation',
      'original',
      'popular',
      'published',
      'repository',
      'series',
      'trade',
      'traditional',
      'translated',
    ],
    messages: defineMessages({
      assignedbyartist: {
        id: 'option.titleTypes.assignedbyartist',
        defaultMessage: 'assigned by artist',
      },
      creatorassigned: {
        id: 'option.titleTypes.creatorassigned',
        defaultMessage: 'creator assigned',
      },
      collective: {
        id: 'option.titleTypes.collective',
        defaultMessage: 'collective',
      },
      constructed: {
        id: 'option.titleTypes.constructed',
        defaultMessage: 'constructed',
      },
      descriptive: {
        id: 'option.titleTypes.descriptive',
        defaultMessage: 'descriptive',
      },
      inscribed: {
        id: 'option.titleTypes.inscribed',
        defaultMessage: 'inscribed',
      },
      institutional: {
        id: 'option.titleTypes.institutional',
        defaultMessage: 'institutional',
      },
      former: {
        id: 'option.titleTypes.former',
        defaultMessage: 'former',
      },
      manuscriptdesignation: {
        id: 'option.titleTypes.manuscriptdesignation',
        defaultMessage: 'manuscript designation',
      },
      original: {
        id: 'option.titleTypes.original',
        defaultMessage: 'original',
      },
      popular: {
        id: 'option.titleTypes.popular',
        defaultMessage: 'popular',
      },
      published: {
        id: 'option.titleTypes.published',
        defaultMessage: 'published',
      },
      repository: {
        id: 'option.titleTypes.repository',
        defaultMessage: 'repository',
      },
      local: {
        id: 'option.titleTypes.local',
        defaultMessage: 'local',
      },
      series: {
        id: 'option.titleTypes.series',
        defaultMessage: 'series',
      },
      trade: {
        id: 'option.titleTypes.trade',
        defaultMessage: 'trade',
      },
      traditional: {
        id: 'option.titleTypes.traditional',
        defaultMessage: 'traditional',
      },
      translated: {
        id: 'option.titleTypes.translated',
        defaultMessage: 'translated',
      },
    }),
  },
  technicalAttributes: {
    values: [
      'implement',
      'mark',
      'material',
      'medium',
      'recordspeed',
      'support',
      'technique',
    ],
    messages: defineMessages({
      implement: {
        id: 'option.technicalAttributes.implement',
        defaultMessage: 'implement',
      },
      mark: {
        id: 'option.technicalAttributes.mark',
        defaultMessage: 'mark',
      },
      material: {
        id: 'option.technicalAttributes.material',
        defaultMessage: 'material',
      },
      medium: {
        id: 'option.technicalAttributes.medium',
        defaultMessage: 'medium',
      },
      recordspeed: {
        id: 'option.technicalAttributes.recordspeed',
        defaultMessage: 'record speed',
      },
      support: {
        id: 'option.technicalAttributes.support',
        defaultMessage: 'support',
      },
      technique: {
        id: 'option.technicalAttributes.technique',
        defaultMessage: 'technique',
      },
    }),
  },
  positions: {
    values: [
      'back',
      'base',
      'bottom',
      'front',
      'inside',
      'left',
      'mainpanel',
      'outside',
      'predella',
      'recto',
      'right',
      'rim',
      'sideA',
      'sideB',
      'top',
      'verso',
    ],
    messages: defineMessages({
      back: {
        id: 'option.positions.back',
        defaultMessage: 'back',
      },
      base: {
        id: 'option.positions.base',
        defaultMessage: 'base',
      },
      bottom: {
        id: 'option.positions.bottom',
        defaultMessage: 'bottom',
      },
      front: {
        id: 'option.positions.front',
        defaultMessage: 'front',
      },
      inside: {
        id: 'option.positions.inside',
        defaultMessage: 'inside',
      },
      left: {
        id: 'option.positions.left',
        defaultMessage: 'left',
      },
      mainpanel: {
        id: 'option.positions.mainpanel',
        defaultMessage: 'main panel',
      },
      outside: {
        id: 'option.positions.outside',
        defaultMessage: 'outside',
      },
      predella: {
        id: 'option.positions.predella',
        defaultMessage: 'predella',
      },
      recto: {
        id: 'option.positions.recto',
        defaultMessage: 'recto',
      },
      right: {
        id: 'option.positions.right',
        defaultMessage: 'right',
      },
      rim: {
        id: 'option.positions.rim',
        defaultMessage: 'rim',
      },
      sideA: {
        id: 'option.positions.sideA',
        defaultMessage: 'side A',
      },
      sideB: {
        id: 'option.positions.sideB',
        defaultMessage: 'side B',
      },
      top: {
        id: 'option.positions.top',
        defaultMessage: 'top',
      },
      verso: {
        id: 'option.positions.verso',
        defaultMessage: 'verso',
      },
    }),
  },
  ownershipExchangeMethods: {
    values: [
      'auction',
      'bequest',
      'collectionofartist',
      'commission',
      'exchange',
      'gift',
      'leased',
      'originalowner',
      'purchase',
      'transfer',
      'treasure',
      'unknown',
    ],
    messages: defineMessages({
      auction: {
        id: 'option.ownershipExchangeMethods.auction',
        defaultMessage: 'auction',
      },
      bequest: {
        id: 'option.ownershipExchangeMethods.bequest',
        defaultMessage: 'bequest',
      },
      collectionofartist: {
        id: 'option.ownershipExchangeMethods.collectionofartist',
        defaultMessage: 'collection of artist',
      },
      commission: {
        id: 'option.ownershipExchangeMethods.commission',
        defaultMessage: 'commission',
      },
      exchange: {
        id: 'option.ownershipExchangeMethods.exchange',
        defaultMessage: 'exchange',
      },
      gift: {
        id: 'option.ownershipExchangeMethods.gift',
        defaultMessage: 'gift',
      },
      leased: {
        id: 'option.ownershipExchangeMethods.leased',
        defaultMessage: 'leased',
      },
      originalowner: {
        id: 'option.ownershipExchangeMethods.originalowner',
        defaultMessage: 'original owner',
      },
      purchase: {
        id: 'option.ownershipExchangeMethods.purchase',
        defaultMessage: 'purchase',
      },
      transfer: {
        id: 'option.ownershipExchangeMethods.transfer',
        defaultMessage: 'transfer',
      },
      treasure: {
        id: 'option.ownershipExchangeMethods.treasure',
        defaultMessage: 'treasure',
      },
      unknown: {
        id: 'option.ownershipExchangeMethods.unknown',
        defaultMessage: 'unknown',
      },
    }),
  },
  ownershipCategories: {
    values: [
      'auctionhouse',
      'agent',
      'dealer',
      'owner',
      'occupant',
      'public',
      'private',
    ],
    messages: defineMessages({
      auctionhouse: {
        id: 'option.ownershipCategories.auctionhouse',
        defaultMessage: 'auction house',
      },
      agent: {
        id: 'option.ownershipCategories.agent',
        defaultMessage: 'agent',
      },
      dealer: {
        id: 'option.ownershipCategories.dealer',
        defaultMessage: 'dealer',
      },
      owner: {
        id: 'option.ownershipCategories.owner',
        defaultMessage: 'owner',
      },
      occupant: {
        id: 'option.ownershipCategories.occupant',
        defaultMessage: 'occupant',
      },
      public: {
        id: 'option.ownershipCategories.public',
        defaultMessage: 'public',
      },
      private: {
        id: 'option.ownershipCategories.private',
        defaultMessage: 'private',
      },
    }),
  },
  numberTypes: {
    values: [
      'catalogue',
      'catalogueraoisonne',
      'exhibition',
      'lender',
      'model',
      'obsolete',
      'page',
      'previous',
      'serial',
      'sheet',
      'unknown',
    ],
    messages: defineMessages({
      catalogue: {
        id: 'option.numberTypes.catalogue',
        defaultMessage: 'catalogue',
      },
      catalogueraoisonne: {
        id: 'option.numberTypes.catalogueraoisonne',
        defaultMessage: 'catalogue raisonne',
      },
      exhibition: {
        id: 'option.numberTypes.exhibition',
        defaultMessage: 'exhibition',
      },
      lender: {
        id: 'option.numberTypes.lender',
        defaultMessage: 'lender',
      },
      model: {
        id: 'option.numberTypes.model',
        defaultMessage: 'model',
      },
      obsolete: {
        id: 'option.numberTypes.obsolete',
        defaultMessage: 'obsolete',
      },
      page: {
        id: 'option.numberTypes.page',
        defaultMessage: 'page',
      },
      previous: {
        id: 'option.numberTypes.previous',
        defaultMessage: 'previous',
      },
      serial: {
        id: 'option.numberTypes.serial',
        defaultMessage: 'serial',
      },
      sheet: {
        id: 'option.numberTypes.sheet',
        defaultMessage: 'sheet',
      },
      unknown: {
        id: 'option.numberTypes.unknown',
        defaultMessage: 'unknown',
      },
    }),
  },
  nameLevels: {
    values: [
      'collection',
      'component',
      'item',
      'group',
      'multiples',
      'series',
      'set',
      'subgroup',
      'volume',
    ],
    messages: defineMessages({
      collection: {
        id: 'option.nameLevels.collection',
        defaultMessage: 'collection',
      },
      component: {
        id: 'option.nameLevels.component',
        defaultMessage: 'component',
      },
      item: {
        id: 'option.nameLevels.item',
        defaultMessage: 'item',
      },
      group: {
        id: 'option.nameLevels.group',
        defaultMessage: 'group',
      },
      multiples: {
        id: 'option.nameLevels.multiples',
        defaultMessage: 'multiples',
      },
      series: {
        id: 'option.nameLevels.series',
        defaultMessage: 'series',
      },
      set: {
        id: 'option.nameLevels.set',
        defaultMessage: 'set',
      },
      subgroup: {
        id: 'option.nameLevels.subgroup',
        defaultMessage: 'subgroup',
      },
      volume: {
        id: 'option.nameLevels.volume',
        defaultMessage: 'volume',
      },
    }),
  },
  measuredParts: {
    values: [
      'base',
      'columnsperpage',
      'components',
      'diameter',
      'folios',
      'footprint',
      'frame',
      'image',
      'interior',
      'leaves',
      'lid',
      'linesperpage',
      'mat',
      'mount',
      'overall',
      'panel',
      'paper',
      'patternrepeat',
      'plate',
      'platemark',
      'secondarysupport',
      'sheet',
      'stories',
      'tessera',
      'unframed',
    ],
    messages: defineMessages({
      base: {
        id: 'option.measuredParts.base',
        defaultMessage: 'base',
      },
      columnsperpage: {
        id: 'option.measuredParts.columnsperpage',
        defaultMessage: 'columns per page',
      },
      components: {
        id: 'option.measuredParts.components',
        defaultMessage: 'components',
      },
      diameter: {
        id: 'option.measuredParts.diameter',
        defaultMessage: 'diameter',
      },
      folios: {
        id: 'option.measuredParts.folios',
        defaultMessage: 'folios',
      },
      footprint: {
        id: 'option.measuredParts.footprint',
        defaultMessage: 'footprint',
      },
      frame: {
        id: 'option.measuredParts.frame',
        defaultMessage: 'frame',
      },
      image: {
        id: 'option.measuredParts.image',
        defaultMessage: 'image',
      },
      interior: {
        id: 'option.measuredParts.interior',
        defaultMessage: 'interior',
      },
      leaves: {
        id: 'option.measuredParts.leaves',
        defaultMessage: 'leaves',
      },
      lid: {
        id: 'option.measuredParts.lid',
        defaultMessage: 'lid',
      },
      linesperpage: {
        id: 'option.measuredParts.linesperpage',
        defaultMessage: 'lines per page',
      },
      mat: {
        id: 'option.measuredParts.mat',
        defaultMessage: 'mat',
      },
      mount: {
        id: 'option.measuredParts.mount',
        defaultMessage: 'mount',
      },
      overall: {
        id: 'option.measuredParts.overall',
        defaultMessage: 'overall',
      },
      panel: {
        id: 'option.measuredParts.panel',
        defaultMessage: 'panel',
      },
      paper: {
        id: 'option.measuredParts.paper',
        defaultMessage: 'paper',
      },
      patternrepeat: {
        id: 'option.measuredParts.patternrepeat',
        defaultMessage: 'pattern repeat',
      },
      plate: {
        id: 'option.measuredParts.plate',
        defaultMessage: 'plate',
      },
      platemark: {
        id: 'option.measuredParts.platemark',
        defaultMessage: 'plate mark',
      },
      secondarysupport: {
        id: 'option.measuredParts.secondarysupport',
        defaultMessage: 'secondary support',
      },
      sheet: {
        id: 'option.measuredParts.sheet',
        defaultMessage: 'sheet',
      },
      stories: {
        id: 'option.measuredParts.stories',
        defaultMessage: 'stories',
      },
      tessera: {
        id: 'option.measuredParts.tessera',
        defaultMessage: 'tessera',
      },
      unframed: {
        id: 'option.measuredParts.unframed',
        defaultMessage: 'unframed',
      },
    }),
  },
  inscriptionTypes: {
    values: [
      'annotation',
      'bookplate',
      'brand',
      'calculations',
      'carved',
      'collectorsmark',
      'colophon',
      'colornotes',
      'dated',
      'decoration',
      'dedicated',
      'detailslabeled',
      'device',
      'dimensionsgiven',
      'estatestamp',
      'graffito',
      'foundrymark',
      'hallmark',
      'handwritten',
      'iconographnotation',
      'initialed',
      'impressed',
      'imprinted',
      'inscribed',
      'inscribeddimensions',
      'inscribedstamp',
      'label',
      'makersmark',
      'monogrammed',
      'notinscribed',
      'numbered',
      'signature',
      'stenciled',
      'titled',
      'transferred',
      'unknown',
    ],
    messages: defineMessages({
      annotation: {
        id: 'option.inscriptionTypes.annotation',
        defaultMessage: 'annotation',
      },
      bookplate: {
        id: 'option.inscriptionTypes.bookplate',
        defaultMessage: 'book plate',
      },
      brand: {
        id: 'option.inscriptionTypes.brand',
        defaultMessage: 'brand',
      },
      calculations: {
        id: 'option.inscriptionTypes.calculations',
        defaultMessage: 'calculations',
      },
      carved: {
        id: 'option.inscriptionTypes.carved',
        defaultMessage: 'carved',
      },
      collectorsmark: {
        id: 'option.inscriptionTypes.collectorsmark',
        defaultMessage: 'collector\'s mark',
      },
      colophon: {
        id: 'option.inscriptionTypes.colophon',
        defaultMessage: 'colophon',
      },
      colornotes: {
        id: 'option.inscriptionTypes.colornotes',
        defaultMessage: 'color notes',
      },
      dated: {
        id: 'option.inscriptionTypes.dated',
        defaultMessage: 'dated',
      },
      decoration: {
        id: 'option.inscriptionTypes.decoration',
        defaultMessage: 'decoration',
      },
      dedicated: {
        id: 'option.inscriptionTypes.dedicated',
        defaultMessage: 'dedicated',
      },
      detailslabeled: {
        id: 'option.inscriptionTypes.detailslabeled',
        defaultMessage: 'details labeled',
      },
      device: {
        id: 'option.inscriptionTypes.device',
        defaultMessage: 'device',
      },
      dimensionsgiven: {
        id: 'option.inscriptionTypes.dimensionsgiven',
        defaultMessage: 'dimensions given',
      },
      estatestamp: {
        id: 'option.inscriptionTypes.estatestamp',
        defaultMessage: 'estate stamp',
      },
      graffito: {
        id: 'option.inscriptionTypes.graffito',
        defaultMessage: 'graffito',
      },
      foundrymark: {
        id: 'option.inscriptionTypes.foundrymark',
        defaultMessage: 'foundry mark',
      },
      hallmark: {
        id: 'option.inscriptionTypes.hallmark',
        defaultMessage: 'hallmark',
      },
      handwritten: {
        id: 'option.inscriptionTypes.handwritten',
        defaultMessage: 'handwritten',
      },
      iconographnotation: {
        id: 'option.inscriptionTypes.iconographnotation',
        defaultMessage: 'iconograph notation',
      },
      initialed: {
        id: 'option.inscriptionTypes.initialed',
        defaultMessage: 'initialed',
      },
      impressed: {
        id: 'option.inscriptionTypes.impressed',
        defaultMessage: 'impressed',
      },
      imprinted: {
        id: 'option.inscriptionTypes.imprinted',
        defaultMessage: 'imprinted',
      },
      inscribed: {
        id: 'option.inscriptionTypes.inscribed',
        defaultMessage: 'inscribed',
      },
      inscribeddimensions: {
        id: 'option.inscriptionTypes.inscribeddimensions',
        defaultMessage: 'inscribed dimensions',
      },
      inscribedstamp: {
        id: 'option.inscriptionTypes.inscribedstamp',
        defaultMessage: 'inscribed stamp',
      },
      label: {
        id: 'option.inscriptionTypes.label',
        defaultMessage: 'label',
      },
      makersmark: {
        id: 'option.inscriptionTypes.makersmark',
        defaultMessage: 'maker\'s mark',
      },
      monogrammed: {
        id: 'option.inscriptionTypes.monogrammed',
        defaultMessage: 'monogrammed',
      },
      notinscribed: {
        id: 'option.inscriptionTypes.notinscribed',
        defaultMessage: 'not inscribed',
      },
      numbered: {
        id: 'option.inscriptionTypes.numbered',
        defaultMessage: 'numbered',
      },
      signature: {
        id: 'option.inscriptionTypes.signature',
        defaultMessage: 'signature',
      },
      stenciled: {
        id: 'option.inscriptionTypes.stenciled',
        defaultMessage: 'stenciled',
      },
      titled: {
        id: 'option.inscriptionTypes.titled',
        defaultMessage: 'titled',
      },
      transferred: {
        id: 'option.inscriptionTypes.transferred',
        defaultMessage: 'transferred',
      },
      unknown: {
        id: 'option.inscriptionTypes.unknown',
        defaultMessage: 'unknown',
      },
    }),
  },
  dimensions: {
    values: [
      'area',
      'base',
      'circumference',
      'count',
      'depth',
      'diameter',
      'format',
      'height',
      'length',
      'runningtime',
      'scale',
      'size',
      'shape',
      'stories',
      'target',
      'volume',
      'weight',
      'width',
    ],
    messages: defineMessages({
      area: {
        id: 'option.dimensions.area',
        defaultMessage: 'area',
      },
      base: {
        id: 'option.dimensions.base',
        defaultMessage: 'base',
      },
      circumference: {
        id: 'option.dimensions.circumference',
        defaultMessage: 'circumference',
      },
      count: {
        id: 'option.dimensions.count',
        defaultMessage: 'count',
      },
      depth: {
        id: 'option.dimensions.depth',
        defaultMessage: 'depth',
      },
      diameter: {
        id: 'option.dimensions.diameter',
        defaultMessage: 'diameter',
      },
      format: {
        id: 'option.dimensions.format',
        defaultMessage: 'format',
      },
      height: {
        id: 'option.dimensions.height',
        defaultMessage: 'height',
      },
      length: {
        id: 'option.dimensions.length',
        defaultMessage: 'length',
      },
      runningtime: {
        id: 'option.dimensions.runningtime',
        defaultMessage: 'running time',
      },
      scale: {
        id: 'option.dimensions.scale',
        defaultMessage: 'scale',
      },
      size: {
        id: 'option.dimensions.size',
        defaultMessage: 'size',
      },
      shape: {
        id: 'option.dimensions.shape',
        defaultMessage: 'shape',
      },
      stories: {
        id: 'option.dimensions.stories',
        defaultMessage: 'stories',
      },
      target: {
        id: 'option.dimensions.target',
        defaultMessage: 'target',
      },
      volume: {
        id: 'option.dimensions.volume',
        defaultMessage: 'volume',
      },
      weight: {
        id: 'option.dimensions.weight',
        defaultMessage: 'weight',
      },
      width: {
        id: 'option.dimensions.width',
        defaultMessage: 'width',
      },
    }),
  },
  measurementUnits: {
    values: [
      'carats',
      'centimeters',
      'cubic-centimeters',
      'feet',
      'inches',
      'gigabytes',
      'kilograms',
      'liters',
      'megabytes',
      'millimeters',
      'meters',
      'minutes',
      'pixels',
      'pounds',
      'square-feet',
      'stories',
    ],
    messages: defineMessages({
      carats: {
        id: 'option.measurementunits.carats',
        defaultMessage: 'carats',
      },
      centimeters: {
        id: 'option.measurementunits.centimeters',
        defaultMessage: 'centimeters',
      },
      'cubic-centimeters': {
        id: 'option.measurementunits.cubic-centimeters',
        defaultMessage: 'cubic centimeters',
      },
      feet: {
        id: 'option.measurementunits.feet',
        defaultMessage: 'feet',
      },
      inches: {
        id: 'option.measurementunits.inches',
        defaultMessage: 'inches',
      },
      gigabytes: {
        id: 'option.measurementunits.gigabytes',
        defaultMessage: 'gigabytes',
      },
      kilograms: {
        id: 'option.measurementunits.kilograms',
        defaultMessage: 'kilograms',
      },
      liters: {
        id: 'option.measurementunits.liters',
        defaultMessage: 'liters',
      },
      megabytes: {
        id: 'option.measurementunits.megabytes',
        defaultMessage: 'megabytes',
      },
      millimeters: {
        id: 'option.measurementunits.millimeters',
        defaultMessage: 'millimeters',
      },
      meters: {
        id: 'option.measurementunits.meters',
        defaultMessage: 'meters',
      },
      minutes: {
        id: 'option.measurementunits.minutes',
        defaultMessage: 'minutes',
      },
      pixels: {
        id: 'option.measurementunits.pixels',
        defaultMessage: 'pixels',
      },
      pounds: {
        id: 'option.??.pounds',
        defaultMessage: 'pounds',
      },
      'square-feet': {
        id: 'option.??.squarefeet',
        defaultMessage: 'square feet',
      },
      stories: {
        id: 'option.??.stories',
        defaultMessage: 'stories',
      },
    }),
  },
  nameTypes: {
    values: [
      'architecture',
      'armsandarmor',
      'builtwork',
      'ceramics',
      'costume',
      'decorativearts',
      'furniture',
      'graphicarts',
      'installation',
      'jewelry',
      'mediaart',
      'mixedmedia',
      'musicalinstrument',
      'painting',
      'photograph',
      'performance',
      'portfolio',
      'print',
      'moveablework',
      'mural',
      'sculpture',
      'sketchbook',
      'tools',
      'textile',
      'workonpaper',
      'video',
    ],
    messages: defineMessages({
      architecture: {
        id: 'option.objectname.architecture',
        defaultMessage: 'architecture',
      },
      armsandarmor: {
        id: 'option.objectname.armsandarmor',
        defaultMessage: 'arms and armor',
      },
      builtwork: {
        id: 'option.objectname.builtwork',
        defaultMessage: 'built work',
      },
      ceramics: {
        id: 'option.objectname.ceramics',
        defaultMessage: 'ceramics',
      },
      costume: {
        id: 'option.objectname.costume',
        defaultMessage: 'costume',
      },
      decorativearts: {
        id: 'option.??.decorativearts',
        defaultMessage: 'decorative arts',
      },
      furniture: {
        id: 'option.objectname.furniture',
        defaultMessage: 'furniture',
      },
      graphicarts: {
        id: 'option.objectname.graphicarts',
        defaultMessage: 'graphic arts',
      },
      installation: {
        id: 'option.objectname.installation',
        defaultMessage: 'installation',
      },
      jewelry: {
        id: 'option.objectname.jewelry',
        defaultMessage: 'jewelry',
      },
      mediaart: {
        id: 'option.objectname.mediaart',
        defaultMessage: 'media art',
      },
      mixedmedia: {
        id: 'option.objectname.mixedmedia',
        defaultMessage: 'mixed media',
      },
      moveablework: {
        id: 'option.objectname.moveablework',
        defaultMessage: 'moveable work',
      },
      mural: {
        id: 'option.objectname.mural',
        defaultMessage: 'mural',
      },
      musicalinstrument: {
        id: 'option.objectname.musicalinstrument',
        defaultMessage: 'musical instrument',
      },
      painting: {
        id: 'option.objectname.painting',
        defaultMessage: 'painting',
      },
      photograph: {
        id: 'option.objectname.photograph',
        defaultMessage: 'photograph',
      },
      performance: {
        id: 'option.objectname.performance',
        defaultMessage: 'performance',
      },
      portfolio: {
        id: 'option.objectname.portfolio',
        defaultMessage: 'portfolio',
      },
      print: {
        id: 'option.objectname.print',
        defaultMessage: 'print',
      },
      sculpture: {
        id: 'option.objectname.sculpture',
        defaultMessage: 'sculpture',
      },
      sketchbook: {
        id: 'option.objectname.sketchbook',
        defaultMessage: 'sketchbook',
      },
      tools: {
        id: 'option.objectname.tools',
        defaultMessage: 'tools',
      },
      textile: {
        id: 'option.objectname.textile',
        defaultMessage: 'textile',
      },
      workonpaper: {
        id: 'option.objectname.workonpaper',
        defaultMessage: 'work on paper',
      },
      video: {
        id: 'option.objectname.video',
        defaultMessage: 'video',
      },
    }),
  },
  departments: {
    values: [
      'antiquities',
      'architecture-design',
      'decorative-arts',
      'ethnography',
      'library',
      'media-performance-art',
      'paintings-sculpture',
      'photographs',
      'prints-drawings',
    ],
    messages: defineMessages({
      antiquities: {
        id: 'option.departments.antiquities',
        defaultMessage: 'Antiquities',
      },
      'architecture-design': {
        id: 'option.departments.architecture-design',
        defaultMessage: 'Architecture and Design',
      },
      'decorative-arts': {
        id: 'option.departments.decorative-arts',
        defaultMessage: 'Decorative Arts',
      },
      ethnography: {
        id: 'option.departments.ethnography',
        defaultMessage: 'Ethnography',
      },
      library: {
        id: 'option.departments.library',
        defaultMessage: 'Library',
      },
      'media-performance-art': {
        id: 'option.departments.media-performance-art',
        defaultMessage: 'Media and Performance Art',
      },
      'paintings-sculpture': {
        id: 'option.departments.paintings-sculpture',
        defaultMessage: 'Paintings and Sculpture',
      },
      photographs: {
        id: 'option.departments.photographs',
        defaultMessage: 'Photographs',
      },
      'prints-drawings': {
        id: 'option.departments.prints-drawings',
        defaultMessage: 'Prints and Drawings',
      },
    }),
  },
  creatorTypes: {
    values: [
      'culture',
      'organization',
      'person',
    ],
    messages: defineMessages({
      culture: {
        id: 'option.creatorTypes.culture',
        defaultMessage: 'culture',
      },
      organization: {
        id: 'option.creatorTypes.organization',
        defaultMessage: 'organization',
      },
      person: {
        id: 'option.creatorTypes.person',
        defaultMessage: 'person',
      },
    }),
  },
};
